/*
* @Author: Rot
* @Date:   2017-10-07 02:07:18
* @Last Modified by:   Rot
* @Last Modified time: 2017-12-17 11:45:18
*/

/* fallback */
@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: url(../fonts/2fcrYFNaTjcS6g4U3t-Y5ZjZjT5FdEJ140U2DJYC3mY.woff2) format('woff2');
}

.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;
}
fixed-header {
    max-width: var(--ge-main-small-width);
    margin: 0 auto;
}
.ge-top-10 { margin-top: 10px; }
.model-content {
    position: relative;
    padding: 12px;
    background: #fff;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.25), 0 0 1px rgba(0,0,0,.35);
    box-shadow: 0 1px 2px rgba(0,0,0,.25), 0 0 1px rgba(0,0,0,.35);
}
.ge-draft { color: var(--ge-primary-text-color); }
.ge-none {
    display: none !important;
}
.ge-top-32 { margin-top: 32px; }
[ge-schedule-pick] { color: var(--ge-primary-text-dark-color); }
.ge-full-line {
    position: absolute;
    left: 0;
    right: 0;
    border-bottom: 1px solid var(--ge-primary-border-color);
}
.ge-goto-tag { margin-top: 12px;}
.ge-line { padding-bottom: 16px; margin-top: 16px; }
.ge-publish-style  { text-align: right; }
.ge-publish-style button { padding: 8px 16px; height: 37px; border: 1px solid; border-radius: 4px;}
.publish-wrapper {
    position: relative;
    width: 320px;
    padding: 20px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    background-color: var(--ge-model-color);
    border: 1px solid hsl(0, 0%, 77%);
    box-shadow: 0 0 15px rgba(0,0,0,.18);
}
.ge-text-dark { color: var(--ge-primary-text-dark-color); }
[model-publish] { right: 0; top: 62px; z-index: 6;}
[model-publish] .ge-popover-arrow { left: auto; right: 32px;}
[model-tag] { top: 48px;}
[select="false"] { user-select: none; }
.ge-color {
    color: var(--ge-primary-color) !important;
}
.ge-publish > div { padding-right: 0 }
.ge-user-image { width: 64px; height: 64px; }
.ge-user-image img { width: 100%; height: 100%; }

.ge-practice-option { margin-top: 12px; } 
.ge-practice-option h4 { font-size: 17px; }

.ge-placeholder {
    color: var(--ge-placeholder-color);
    z-index: -1;
}
.ge-absolute { position: absolute; }
.ge-left-32 {
    margin-left: 32px;
}
[model-options] { left: -55px; }
.options-wrapper {
    position: relative;
    width: 242px;
    padding: 16px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    background-color: var(--ge-model-color);
    border: 1px solid hsl(0, 0%, 77%);
    box-shadow: 0 0 15px rgba(0,0,0,.18);
}
.ge-option-action { padding-top: 12px; }
.ge-schedule { padding-top: 8px; padding-bottom: 8px; }
ge-content h4.ge-text {
    font-size: 18px;
}

.ge-write .ge-list {
    display: inline-block;
    margin-right: 10px;
    transform: scale(0);
    transition: transform 0.3s;
    -webkit-transition: transform 0.3s;
}

.ge-figure {
    margin-top: 20px;
    margin-bottom: 20px;
}

.ge-controll {
    width: 40px;
}
.ge-open {
    width: 268px;
}
.ge-open > div {
    transition: transform 250ms;
    transform: rotate(45deg);
}
.ge-open .ge-list {
    transform: scale(1);
}
.ge-open > ul {
    visibility: visible !important;
}


.ge-write .ge-list:nth-child(2)
{
    transition-delay: 30ms;
}
.ge-write .ge-list:nth-child(3)
{
    transition-delay: 60ms;
}

.ge-write .ge-list:nth-child(4)
{
    transition-delay: 90ms;
}

.ge-write .ge-list:nth-child(5)
{
    transition-delay: 120ms;
}

.ge-box-shadow {
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);
    border-radius: 2px;
    background-color: white;
}

.ge-image-mode.ge-block {
    display: block;
    -webkit-animation: animatezoom 0.4s;
    animation: animatezoom 0.4s;
}

ge-box {
    display: block;
}
.ge-image-mode {
    display: none;
}

.ge-text-option {
    position: absolute;
    cursor: context-menu;
    left: 256px;
    display: none;
}

.ge-image-mark {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}


.ge-image {
    position: relative;
    width: 100%;
}

.ge-embed:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 5;
}

#OpenWriteOption {
    margin-right: 24px;
    transition: transform .1s;
}
#OpenWriteOption + ul {
    visibility: hidden;
}

iframe {
    outline: none;
    border: 0;
}
.ge-top-15 { margin-top: 15px; }
.ge-tab-light.ge-border-bottom { border-bottom: 1px solid var(--ge-primary-border-color); }
.ge-mark-type {
    width: 18px;
    height: 18px;
    min-width: 18px;
    min-height: 18px;
    margin-right: 12px;
    border-radius: 100%;
    border: 1px solid var(--ge-primary-text-color);
}

[type="radio"]:checked + .ge-mark-type span {
    left: 2px;
    bottom: 1px;
    min-width: 12px;
    min-height: 12px;
    position: relative;
    border-radius: 100%;
    display: inline-block;
    background-color: var(--ge-primary-color);
}
.ge-shortcut { position: fixed; bottom: 0; left: 0; right: 0; }
.ge-shortcut .ge-shortcut-wrapper {
    background-color: #FAFAFA;
    color: black;
}
.ge-shortcut-wrapper > div {
    max-width: var(--ge-main-small-width);
    margin: 0 auto;
}

.ge-shortcut-space { padding-top: 24px; padding-bottom: 32px; color: var(--ge-primary-text-dark-color); }

.ge-ver-8 { padding-top: 8px; padding-bottom: 8px; }
.ge-bottom-8 { padding-bottom: 8px; }
.ge-bottom-6 { padding-bottom: 6px; }

input[type="radio"] { display: none; }

/**
 * Picker
 */
.c-scrim { z-index: 2; }
.c-datepicker {
    box-sizing: initial;
    -moz-box-sizing: initial;
    -webkit-box-sizing: initial;
}
.c-datepicker__header-date {
    background-color: white;
}
.c-datepicker__header-date span { color: black; }
.c-datepicker__header-day {
    height: 35px;
    background-color: #18bdd8;
    color: white;
    line-height: 35px;
}
.rd-day-prev-month { opacity: .3; }
.c-datepicker--open { top: 45.8%; z-index: 5; }
.c-datepicker--show-calendar:after, .c-datepicker--show-time:after { color: var(--ge-primary-text-color); }
.c-datepicker__toggle { top: 178px; }
